#
# spec file for package gwenview (Version 1.4.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libexif libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel libkipi libkipi-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline rpm sed sgml-skel sqlite strace sudo sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           gwenview
BuildRequires:  kdelibs3-devel libexif libkipi-devel
URL:            http://gwenview.sourceforge.net/home/
License:        GNU General Public License (GPL)
Group:          Productivity/Graphics/Viewers
Summary:        Simple Image Viewer for KDE
Version:        1.4.0
Release:        29.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Source1:        %name-i18n-%version.tar.bz2
#Patch:        1_3_BRANCH.diff
Patch1:         gwenview-media.diff
Patch2:         no-icontextright.diff
Patch3:         gwenview-parallel-build.diff
Patch4:         imagescaling-overflow.diff
%if %suse_version > 1000
Recommends:     kipi-plugins
%endif

%description
Gwenview is a simple image viewer for KDE. It features a folder tree
window and a file list window, providing easy navigation of your file
hierarchy.



Authors:
--------
    Aurlien Gteau <aurelien.gateau@mail.dotcom.fr>

%debug_package
%prep
%setup -q -b 1
%patch1 -p1
%patch2
%patch3
%patch4
cd src
#%patch
cd ..
. /etc/opt/kde3/common_options
update_admin
cd ../gwenview-i18n-%version
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde \
            --enable-kipi \
            --disable-final
make %{?jobs:-j %jobs}
cd ../gwenview-i18n-%version
./configure $configkde
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=${RPM_BUILD_ROOT} $INSTALL_TARGET
cd ../gwenview-i18n-%version
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
cd -
%suse_update_desktop_file %name RasterGraphics Viewer
%if %suse_version > 1000
%find_lang %name --all-name
%else
%find_lang %name
%endif

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %name.lang
%defattr(-,root,root)
/opt/kde3/bin/gwenview
/opt/kde3/share/applications/kde/gwenview.desktop
/opt/kde3/share/apps/*
/opt/kde3/share/icons/*
/opt/kde3/share/config.kcfg/fileoperationconfig.kcfg
/opt/kde3/share/config.kcfg/fileviewconfig.kcfg
/opt/kde3/share/config.kcfg/fullscreenconfig.kcfg
/opt/kde3/share/config.kcfg/gvdirpartconfig.kcfg
/opt/kde3/share/config.kcfg/imageviewconfig.kcfg
/opt/kde3/share/config.kcfg/miscconfig.kcfg
/opt/kde3/share/config.kcfg/slideshowconfig.kcfg
/opt/kde3/%_lib/kde3/*
/opt/kde3/%_lib/libgwenviewcore.*
/opt/kde3/%_lib/libkdeinit_gwenview.*
/opt/kde3/share/services/*
%_mandir/man*/*
%if %suse_version < 930
%doc %lang(pt_BR) /opt/kde3/share/doc/HTML/pt_BR
%endif

%changelog
* Fri Feb 23 2007 - dmueller@suse.de
- fix overflows in image scaling (#247013)
* Tue Oct 24 2006 - dmueller@suse.de
- fix parallel build, for some reason only happens on PPC
* Tue Sep 19 2006 - stbinner@suse.de
- don't default to/enforce icon text on toolbar
* Sun Sep 17 2006 - stbinner@suse.de
- update to version 1.4:
  * In a slideshow, let videos play to the end before showing next
  image/video. For now it only works with Avi and Ogg videos, not
  with Mpeg or Quicktime videos.
* Fri Sep 08 2006 - coolo@suse.de
- add recommend for kipi-plugins
* Thu Aug 24 2006 - stbinner@suse.de
- update to version 1.3.93:
  * Use the same delete dialog as Amarok and Juk, to easily choose
  between sending files to trash or permanently deleting them.
  * It's now possible to define whether Gwenview should remember
  the last url and the filter state when it is restarted
  * The thumbnail files are now generated using correct name and
  permissions according to Thumbnail Managing Standard
* Mon Jul 17 2006 - stbinner@suse.de
- update to version 1.3.92:
  * several bugfixes
  * List of supported archive formats is no longer hard coded,
  so you can for example add support for rar archives by
  installing kio_rar (Bug 120974).
* Mon Jun 26 2006 - stbinner@suse.de
- update to version 1.3.91
  * Removed internal libexif.
  * Significantly improved redrawing speed for very large images.
  * Gwenview can now play videos and display SVG files.
  * It's now possible to create symbolic links from the main menu
  and from the image contextual menu.
  * Zoom has been improved: you can now zoom to to width or height,
  and a zoom combobox has been added to the application and KPart
  toolbars.
  * Read support for X cursors has been added.
  * The slideshow now starts directly. Slideshow options like timing
  or fullscreen can be set from the configuration dialog.
  * The slideshow now waits for the next image to be fully
  prefetched before advancing.
  * The main toolbar is much lighter now that the image specific
  buttons have been moved to an image view toolbar.
  * The file view from the folder KPart now features the same
  toolbar as in the application.
  * The file view toolbar can now show a filter bar to filter
  images by name and/or date.
  * The folder view has been reworked (this may not be definitive)
* Mon May 15 2006 - dmueller@suse.de
- fix image rotate plugin (#165534)
* Thu Feb 02 2006 - coolo@suse.de
- let gwenview also browse media
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Nov 20 2005 - stbinner@suse.de
- update to version 1.3.1
* Thu Nov 17 2005 - stbinner@suse.de
- fix build on 9.1 and 9.2
* Wed Oct 19 2005 - dmueller@suse.de
- update to branch (gcc fixes and reenable MMX support)
* Fri Oct 07 2005 - dmueller@suse.de
- add libexif to nfb
* Mon Sep 19 2005 - stbinner@suse.de
- update to version 1.3.0
* Wed Sep 07 2005 - stbinner@suse.de
- Fix problem with viewing images in kpart (#115571)
* Fri Apr 08 2005 - schwab@suse.de
- Don't apply QString::arg to an unkown string.
* Mon Apr 04 2005 - adrian@suse.de
- update to final 1.2.0 version
* Mon Mar 28 2005 - schwab@suse.de
- Check for recursive exif data pointers.
* Thu Mar 24 2005 - adrian@suse.de
- update to version 1.2pre4
* Sat Mar 12 2005 - schwab@suse.de
- Fix endian bug.
* Sat Mar 12 2005 - coolo@suse.de
- fix translations
* Fri Mar 04 2005 - adrian@suse.de
- do use global standard mouse cursor and not built in ones
* Wed Mar 02 2005 - adrian@suse.de
- fix image rotating (#66165 by Lubos)
* Mon Feb 28 2005 - adrian@suse.de
- update to version 1.2pre3
  * fixes usage of smb:/ and digikam:/ urls
* Mon Feb 14 2005 - adrian@suse.de
- update to version 1.2pre2
* Sat Feb 12 2005 - schwab@suse.de
- Remove obsolete patch.
* Mon Jan 24 2005 - adrian@suse.de
- update to version 1.2pre1
- remove merged patches
* Mon Jan 10 2005 - adrian@suse.de
- apply fix from cvs to fix build for non-ia32
* Sun Jan 09 2005 - adrian@suse.de
- update to version 1.1.8
- disable assember extestions due to compile errors for now
* Mon Jan 03 2005 - adrian@suse.de
- update to version 1.1.7a
* Fri Dec 17 2004 - coolo@suse.de
- remove xcf completly
* Thu Dec 09 2004 - adrian@suse.de
- do not install xcf plugin anymore, it is part of kdelibs 3.4 now
* Tue Dec 07 2004 - schwab@suse.de
- Fix png reading on big endian.
* Tue Oct 26 2004 - adrian@suse.de
- update to version 1.1.6
  * remove obsolete fixes
- remove jpegtran requires, it is integrated now
* Sun Oct 24 2004 - adrian@suse.de
- add libkipi-devel to nfb
* Mon Oct 04 2004 - coolo@suse.de
- fix printing images from konqueror (#46692)
* Wed Sep 29 2004 - coolo@suse.de
- avoid busy loops with jpegtrans (#46349)
* Tue Sep 28 2004 - meissner@suse.de
- Fixed QT3 XPM security problem here too.
* Wed Sep 22 2004 - adrian@suse.de
- enable the "fit in window zoom" by default
* Mon Sep 20 2004 - adrian@suse.de
- update to official 1.1.5 version
* Thu Sep 09 2004 - adrian@suse.de
- update to current cvs
- build qxcfi also as qt image plugin
* Mon Aug 02 2004 - adrian@suse.de
- update to version 1.1.4
* Thu Jul 29 2004 - adrian@suse.de
- update to current cvs version 1.1.3.20040729
- enable kipi support
* Wed Jul 21 2004 - adrian@suse.de
- update to current cvs version 1.1.3.20040721
* Tue Mar 30 2004 - adrian@suse.de
- fix toggeling of fullscreen mode (Lubos)
* Mon Feb 02 2004 - adrian@suse.de
- update to version 1.1.0
* Tue Jan 13 2004 - adrian@suse.de
- update to version 1.0.1
* Tue Dec 09 2003 - adrian@suse.de
- add Requires to /usr/bin/jpegtran
* Mon Dec 08 2003 - adrian@suse.de
- update to version 1.0.0
* Mon Nov 17 2003 - adrian@suse.de
- update to version 1.0.0pre4
* Tue Nov 04 2003 - adrian@suse.de
- initial package of version 1.0.0pre3
  (Lubos wanted it soo much ;)
